Update User Setting
UpdateUserSetting updates a user setting. Only the user may call it, and only the GENERAL and TAGS settings can be updated.
Path Parameters
The user id.
The setting id.
Query Parameters
Required. The fields to update, relative to the setting value. GENERAL supports locale, memo_visibility, theme and save_media_metadata; TAGS supports tags.
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
UserSetting is one group of a user's preferences, identified by its key.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/users/string/settings/string" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "generalSetting": { "locale": "string", "memoVisibility": "string", "theme": "string", "saveMediaMetadata": true }, "webhooksSetting": { "webhooks": [ { "name": "string", "displayName": "string", "url": "string", "signingSecret": "string", "signingSecretSet": true, "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ] }, "tagsSetting": { "tags": { "property1": { "backgroundColor": { "red": 0.1, "green": 0.1, "blue": 0.1, "alpha": 0.1 }, "blurContent": true }, "property2": { "backgroundColor": { "red": 0.1, "green": 0.1, "blue": 0.1, "alpha": 0.1 }, "blurContent": true } } }, "editorSetting": { "sourceMode": true }}